Bug 41907 - Membership of working groups or global groups get removed if user is modified via ucs-school-lib
Membership of working groups or global groups get removed if user is modified...
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Ucsschool-lib
UCS@school 4.1 R2
Other Linux
: P5 critical (vote)
: UCS@school 4.1 R2 vXXX
Assigned To: Sönke Schwardt-Krummrich
Daniel Tröder
:
Depends on:
Blocks: 42251 42495
  Show dependency treegraph
 
Reported: 2016-08-03 16:26 CEST by Sönke Schwardt-Krummrich
Modified: 2016-10-06 08:56 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 5: Will affect all installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.571
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2016-08-03 16:26:15 CEST
If a user is modified via ucs-school-lib, the lib removes all group memberships that are not listed in school_classes. Even the memberships of
- working groups
- groups in school OU
- global groups
are removed.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2016-08-03 17:17:06 CEST
ucs-school-lib.yaml:
r71400 | Bug #41907: An important bug in user handling has been fixed: groupmemberships during modify

ucs-test-ucsschool (3.0.13-11):
r71400 | Bug #41907: An important bug in user handling has been fixed: groupmemberships during modify

ucs-school-lib (9.0.20-17):
r71400 | Bug #41907: An important bug in user handling has been fixed: groupmemberships during modify

ucs-school-lib/python/models/user.py now checks if the group found in udm_user['group'] is a SchoolClass. If not, it is left untouched.

Package: ucs-school-lib
Version: 9.0.20-17.242.201608031713

Package: ucs-test-ucsschool
Version: 3.0.13-11.239.201608031712
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2016-08-04 15:58:08 CEST
The last patch has been improved because working groups were not handled correctly if an additional school has been removed from user.

ucs-school-lib (9.0.21-1):
r71418 | Bug #41907: An important bug in user handling has been fixed: groupmemberships during modify
r71400 | Bug #41907: An important bug in user handling has been fixed: groupmemberships during modify

ucs-test-ucsschool (3.0.14-1):
r71418 | Bug #41907: An important bug in user handling has been fixed: groupmemberships during modify
r71412 | Bug #41907: check group memberships during user ou move
r71400 | Bug #41907: An important bug in user handling has been fixed: groupmemberships during modify

ucs-school-lib.yaml:
r71400 | Bug #41907: An important bug in user handling has been fixed: groupmemberships during modify
Comment 3 Daniel Tröder univentionstaff 2016-08-04 18:21:46 CEST
OK: code review
OK: manual tests
OK: automatic tests
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2016-08-05 14:44:04 CEST
UCS@school 4.1 R2 v3 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.1R2v3-de.html

If this error occurs again, please clone this bug.
Comment 5 Daniel Tröder univentionstaff 2016-09-15 09:41:41 CEST
Test for this is in 90_ucsschool/34_import-users_via_cli_v2 -> test_modify_with_several_groups()